<?php

namespace Bixo\Niche\Repositories\Eloquent;

use Bixo\Niche\Interfaces\NicheRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class NicheRepository extends BaseRepository implements NicheRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('bixo.niche.niche.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('bixo.niche.niche.model.model');
    }
}
