<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for niche in niche package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  niche module in niche package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Niche',
    'names'         => 'Niches',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Niches',
        'sub'   => 'Niches',
        'list'  => 'List of niches',
        'edit'  => 'Edit niche',
        'create'    => 'Create new niche'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'location_id'                => 'Please enter location id',
        'user_id'                    => 'Please enter user id',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'location_id'                => 'Location id',
        'user_id'                    => 'User id',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'location_id'                => ['name' => 'Location id', 'data-column' => 1, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Niches',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
