<?php

// web routes  for niche
Route::prefix('{guard}/niche')->group(function () {
    Route::resource('niche', 'NicheResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'NicheResourceController');
            });
            // Public routes for pages
            Route::get('niches/', 'NichePublicController@index');
            Route::get('niches/{slug?}', 'NichePublicController@show');
        }
    );
}

